Bug 1011973 - Port 9000 needs to be http_port_t
Summary: Port 9000 needs to be http_port_t
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy
Version: 6.4
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Grepl
QA Contact: Michal Trunecka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-25 13:26 UTC by Remi Collet
Modified: 2021-01-14 09:16 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.7.19-218.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-21 10:52:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1598 0 normal SHIPPED_LIVE selinux-policy bug fix and enhancement update 2013-11-20 21:39:24 UTC

Description Remi Collet 2013-09-25 13:26:05 UTC
php-fpm listen (default configuration) on port 9000

On RHEL-7, 
# semanage port -l  | grep http_port
http_port_t                    tcp      80, 81, 443, 488, 8008, 8009, 8443, 9000

So Apache (via mod_proxy_cfgi) is able to connect to php-fpm

On RHEL-6
http_port_t                    tcp      80, 81, 443, 488, 8008, 8009, 8443

So connection is not allowed

type=AVC msg=audit(1380108605.792:25270): avc:  denied  { name_connect } for  pid=11970 comm="httpd" dest=9000 scontext=unconfined_u:system_r:httpd_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=tcp_socket

Connection can be allowed using:
# semanage port -a -t http_port_t -p tcp 9000


P.S. httpd 2.2 in RHEL-6 don't have mod_proxy_fcgi, but httpd24-httpd (in RHSCL) will have it.

Comment 4 errata-xmlrpc 2013-11-21 10:52:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1598.html


Note You need to log in before you can comment on or make changes to this bug.